MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
EncoderList.hxx File Reference

Go to the source code of this file.

## Macros
#define | encoder_plugins_for_each(plugin)

## Functions
const EncoderPlugin * | encoder_plugin_get (const char *name)
| Looks up an encoder plugin by its name. More...

## Variables
const EncoderPlugin *const | encoder_plugins []

## Macro Definition Documentation

#define encoder_plugins_for_each | ( |  | plugin | ) |

Value:
for (const EncoderPlugin *plugin, \
*const*encoder_plugin_iterator = &encoder_plugins[0]; \
(plugin = *encoder_plugin_iterator) != nullptr; \
++encoder_plugin_iterator)
encoder_plugins
const EncoderPlugin *const encoder_plugins[]
EncoderPlugin
Definition: EncoderPlugin.hxx:26

Definition at line 27 of file EncoderList.hxx.

## Function Documentation

const EncoderPlugin* encoder_plugin_get | ( | const char * | name | ) |

Looks up an encoder plugin by its name.

Parameters

  name | the encoder name to look for

Returns
  the encoder plugin with the specified name, or nullptr if none was found

## Variable Documentation

const EncoderPlugin* const encoder_plugins[]